* {
  text-decoration: none;
  list-style: none;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-padding-top: 80px;
  scroll-behavior: smooth;
}

body {
  overflow-x: hidden;
  margin: 0;
  padding: 0;
  background-color: #1e1e1e;
  font-family: "Cascadia Code", Helvetica, sans-serif;
}

::selection {
  color: #1e1e1e;
  background: white;
}

@font-face {
  font-family: "Cascadia Code";
  src: url(Plugins/Font/CascadiaCode_VTT.ttf);
}

::-webkit-scrollbar {
  width: 11px;
}

::-webkit-scrollbar-track {
  background: #313131;
}

::-webkit-scrollbar-thumb {
  background-color: #606064;
  border-radius: 20px;
  border: 3px solid #1e1e1e;
}

::-webkit-scrollbar-thumb:hover {
  background-color: #9edbfb;
}

.intro-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(30, 30, 30, 0.3);
  backdrop-filter: blur(20px);
  z-index: 2000;
  display: flex;
  justify-content: center;
  align-items: center;
  animation: none;
}

.intro-content {
  text-align: center;
  color: white;
  animation: floatAnimation 3s cubic-bezier(0.25, 0.1, 0.25, 1) infinite;
}

.intro-logo {
  width: 70px;
  height: auto;
  margin-bottom: 20px;
}

.intro-content h2 {
  font-size: 24px;
  margin: 0;
}
  /*--------------------*/ /*--------------------*/ /*--------------------*/ 
  .navbar {
    width: 100%;
    max-width: 1000px; 
    margin: 0 auto;
    position:fixed;
    top: 0; 
    left: 50%; 
    transform: translateX(-50%);
    padding: 12px 20px;
    background-color: #303030;
    border-radius: 0 0 20px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
  }
  
  .nav-links {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 20px;
    margin: 0;
    gap: 50px;
  }
  

#HW {
  padding: 5px 15px;
  color: #b4ceaa;
  background-color:#1e1e1e;
  border: solid 2px white;
  border-radius: 30px;
  font-size: 20px;
  transition: 0.2s ease-in-out;
}

#HW:hover {
  color: white;
  font-size: 19px;
}

.nav-links li {
  margin: 0 10px;
}

.nav-links li a {
  color: white;
  text-decoration: none;
  padding: 4px 12px;
  border: 2px solid transparent;
  border-radius: 20px;
  font-size: 14px;
  text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1.2px 1.2px 0 #000, 1.2px 1.2px 0 #000;
  transition: 0.2s ease-in-out;
}

.nav-links li a:hover {
  font-size: 14.5px;
  border: 2px solid #fff;
  background-color: #606064;
  color: #b4ceaa;
}

.logo {
  height: 40px;

  width: auto;
  border: 2px solid transparent;
  border-radius: 50%;
  transition: 0.1s ease-in;
}

.logo:hover {
  border: 1px solid white;
  cursor: pointer;
  transform: scale(1.02);
}

.hamburger {
  display: none;
  flex-direction: column;
  cursor: pointer;
  margin-right: 10px;
}

.hamburger div {
  width: 20px;
  height: 2px;
  background-color: white;
  margin: 3px 0;
  transition: 0.3s;
}

.hamburger:hover div {
  background-color: #9edbfb;
}

.overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(30, 30, 30, 0.3);
  backdrop-filter: blur(15px);
  z-index: 100;
}

.overlay-content {
  border: solid 1px white;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90%;
  max-width: 500px;
  background-color: #1f2025;
  border-radius: 20px;
  padding: 30px;
  color: white;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

.close-btn-container {
  position: absolute;
  top: 15px;
  right: 20px;
}

.close-btn {
  background-color: #ff5f56;
  border: none;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  cursor: pointer;
  display: inline-block;
  box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.1);
  position: relative;
}

.close-btn::before,
.close-btn::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 8px;
  height: 1.5px;
  background-color: #fff;
  transform: translate(-50%, -50%);
}

.close-btn::before {
  transform: translate(-50%, -50%) rotate(45deg);
}

.close-btn::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}

.close-btn:hover {
  background-color: #e04845;
}

.overlay-content .nav-links {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.overlay-content .nav-links li {
  text-align: center;
  border-bottom: 1px solid white;
  width: fit-content;
  padding: 10px 20px;
  margin: 0 auto 10px;
  transition: padding 0.2s ease-in-out;
}

.overlay-content .nav-links li:hover {
  padding: 10px 45px;
}

.overlay-content #HW {
  display: block;
  color: #b4ceaa;
  background-color: #1e1e1e;
  border: 2px solid white;
  border-radius: 30px;
  padding: 6px 70px;
  font-size: 17px;
  text-align: center;
  transition: 0.3s ease-in-out;
}

.overlay-content #HW:hover {
  padding: 6px 20px;
  background-color: #606064;
}

.nav-links .nav-logo {
  display: flex;
  justify-content: center;
  margin-bottom: 20px;
}

#logo-overlay {
  width: 55px;
  height: auto;
}

.overlay-logo {
  width: 50px;
  height: auto;
  border: solid 1px transparent;
  border-radius: 50px;
  cursor: pointer;
}

.overlay-logo:hover {
  width: 51px;
  border: solid 2px white;
}
  /*--------------------*/ /*--------------------*/ /*--------------------*/ 
  .r_bar {
    position: fixed;
    z-index: 300;
    right: 0;
    top: calc(1 / 3 * 100%);
    background-color: #303030;
    border-radius: 15px 0 0 15px;
    opacity: 1;
    transition: opacity 0.3s ease-in-out;
  }
  
  .r_bar.hidden {
    opacity: 0;
    pointer-events: none;
  }
  
  .r_bar ul {
    position: relative;
    margin: 10px 11px;
    padding: 0;
    gap: 35px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  
  .r_bar ul li img {
    width: 33px;
    height: auto;
    border: 2px solid transparent;
    transition: transform 0.2s ease-in-out;
  }
  
  .r_bar img:hover {
    border: 2px solid #fff;
    background-color: white;
  }

.box-g {
  position: absolute;
  right: 50%;
  top: -0.5px;
  padding: 7.5px 24px;
  padding-left: 15px;
  display: none;
  font-size: 13px;
  background-color: #404040;
  border: solid 2px white;
  color: white;
  border-radius: 20px 0 0 20px;
  z-index: -1;
  text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1.2px 1.2px 0 #000, 1.2px 1.2px 0 #000;
  transition: transform 0.1s ease-in-out;
}

.github-link:hover .box-g {
  display: block;
}

.container-g:hover .github-link img {
  border-radius: 50px;
  background-color: rgb(255, 255, 255);
  transform: scale(1.005);
  transition: transform 0.1s ease;
  border: solid 2px white;
}

.instagram-link img:hover {
  border-radius: 50px;
  border: solid 2px rgb(255, 255, 255);
  transform: scale(1.07);
}

.box-i {
  transition: transform 0.1s ease-in-out;
  font-size: 13px;
  position: absolute;
  top: 70.5px;
  right: 50%;
  padding: 8px 25px;
  padding-left: 17px;
  background-color: #404040;
  border: solid 2px white;
  color: white;
  border-radius: 20px 0 0 20px;
  display: none;
  z-index: -1;
  text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1.2px 1.2px 0 #000, 1.2px 1.2px 0 #000;
}

.instagram-link:hover .box-i {
  display: block;
}

.container-i:hover .instagram-link img {
  transition: transform 0.1s ease;
  background-color: rgb(255, 255, 255);
  border-radius: 50%;
  transform: scale(1.07);
  border: solid 2px white;
}

.linkedin-link img:hover {
  border: solid 2px rgb(255, 255, 255);
  border-radius: 15%;
  transform: scale(1.07);
}

.box-l {
  transition: transform 0.1s ease-in-out;
  font-size: 13px;
  position: absolute;
  top: 143px;
  right: 50%;
  padding: 8px 27px;
  padding-left: 14px;
  background-color: #404040;
  border: solid 2px white;
  color: white;
  border-radius: 10px 0 0 10px;
  display: none;
  z-index: -1;
  text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1.2px 1.2px 0 #000, 1.2px 1.2px 0 #000;
}

.linkedin-link:hover .box-l {
  display: block;
}

.container-l:hover .linkedin-link img {
  transition: transform 0.1s ease;
  background-color: rgb(255, 255, 255);
  border-radius: 20%;
  transform: scale(1.07);
  border: solid 2px white;
}

.xing-link img:hover {
  border: solid 2px rgb(255, 255, 255);
  border-radius: 15%;
  transform: scale(1.07);
}

.box-x {
  transition: transform 0.1s ease-in-out;
  font-size: 13px;
  position: absolute;
  top: 214.5px;
  right: 50%;
  padding: 8px 27px;
  padding-left: 13px;
  background-color: #404040;
  border: solid 2px white;
  color: white;
  border-radius: 10px 0 0 10px;
  display: none;
  z-index: -1;
  text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1.2px 1.2px 0 #000, 1.2px 1.2px 0 #000;
}

.xing-link:hover .box-x {
  display: block;
}

.container-x:hover .xing-link img {
  transition: transform 0.1s ease;
  background-color: rgb(255, 255, 255);
  border-radius: 20%;
  transform: scale(1.07);
  border: solid 2px white;
}
  /*--------------------*/ /*--------------------*/ /*--------------------*/ 
.main {
  margin-top: 50px;
  padding: 20px 20px;
  display: flex;
  justify-content: center;
  width: 100%;
  margin-bottom: 40px;
}

.content-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  max-width: 1600px;
  padding: 20px;
  border-radius: 12px;
}

.Macintosh {
  margin-right: 90px;
  order: 2;
  max-width: 190px;
  width: 100%;
  height: auto;
  animation: floatAnimation 3s ease-in-out infinite;
}

.TxtContainer {
  order: 1;
  flex: 2;
  max-width: 600px;
  color: #FFFFFF;
  border-radius: 8px;
  text-align: left;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  position: relative;
}

.TXT {
  font-size: 48px;
  margin-bottom: 30px;
}

.TXT::selection {
  color: #1e1e1e;
  background: white;
}

.TXT span {
  color: #9edbfb;
  font-size: 18px;
}

.TXT span::selection {
  color: #ffffff;
  background: #0077B5;
}

.btn-container {
  align-self: flex-end;
  width: 100%;
  display: flex;
  justify-content: flex-end;
}

.HTM-btn {
  align-self: flex-end;
  padding: 7px 14px;
  font-size: 12px;
  color: #fff;
  background-color: #1f2025;
  border: 2px solid white;
  border-radius: 0px;
  text-decoration: none;
  transition: 0.2s;
  cursor: pointer;
}

.HTM-btn:hover {
  color: #9edbfb;
  transform: translate(-0.25rem, -0.25rem);
  box-shadow: 0.25rem 0.25rem white;
}

.HTM-btn:active {
  transform: translateY(1px);
  box-shadow: none;
}

@keyframes floatAnimation {
  0%, 100% {
    transform: translate3d(0, 0, 0);
  }
  50% {
    transform: translate3d(0, -10px, 0);
  }
}

@keyframes slideOut {
  from {
    transform: translateY(0);
  }
  to {
    transform: translateY(-100%);
  }
}
  /*--------------------*/ /*--------------------*/ /*--------------------*/ 
.about {
  background-color: #272727;
  padding: 20px 20px;
  display: flex;
  justify-content: center;
  width: 100%;
  margin-bottom: 100px;
}

.about .wrapper {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  max-width: 1600px;
  width: 100%;
  margin: 0px 60px;
  padding: 20px;
  border-radius: 12px;
}

.about .TxtContainer {
  margin-right: 90px;
  order: 2;
  max-width: 620px;
  color: #FFFFFF;
  border-radius: 8px;
  text-align: left;
  display: flex;
  position: relative;
}

.about .TXT {
  font-size: 45px;
  margin-bottom: 30px;
}

.about .TXT span {
  color: #9edbfb;
  font-size: 18px;
}

.about .HTM-btn {
  align-self: flex-end;
  padding: 7px 14px;
  font-size: 12px;
  color: #fff;
  background-color: #1f2025;
  border: 2px solid white;
  border-radius: 0px;
  text-decoration: none;
  transition: 0.2s;
  cursor: pointer;
}

.about .HTM-btn:hover {
  color: #ffffff;
  transform: translate(-0.25rem, -0.25rem);
  box-shadow: 0.25rem 0.25rem white;
  background-color: #0077B5;
}

.about .HTM-btn:active {
  transform: translateY(1px);
  box-shadow: none;
}

.about .rotate {
  width: 250px;
  height: auto;
  order: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 5px solid #9edbfb;
  border-radius: 50%;
}

.about .cas {
  animation: rotate 20s linear infinite;
  width: 100%;
  height: auto;
  border-radius: 50%;
}

.about .rotate .logo {
  position: absolute;
  width: 150px;
  height: auto;
  margin-left: 7px;
}

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
  /*--------------------*/ /*--------------------*/ /*--------------------*/ 
  .skills {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    position: relative;
    padding: 20px 0;
  }
  
  .photo {
    margin-top: 200px;
    margin-bottom: 100px;
    display: flex;
    flex-direction: column;
    width: 100%;
    position: relative;
  }
  
  .photo .Insta {
    z-index: 1000;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #1e1e1e;
    padding: 20px;
    border-radius: 15px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    color: white;
    text-align: center;
    transition: transform 0.2s ease-in-out;
  }
  
  .photo .Insta:hover {
    transform: scale(1.05);
    cursor: pointer;
  }
  
  .photo .Insta h1 {
    margin: 10px 0;
    font-size: 24px;
    color: #9edbfb;
  }
  
  .photo .Insta img {
    max-width: 100%;
    border-radius: 10px;
    margin-top: 10px;
  }
  
  .photo .navbar2 {
    z-index: 2;
    display: flex;
    gap: 10px;
    background-color: transparent;
    justify-content: center;
    margin-bottom: 20px;
  }
  
  .photo .nav-button {
    font-family: "Cascadia Code";
    background-color: #2b2b2b;
    color: white;
    padding: 10px 20px;
    border-radius: 20px;
    cursor: pointer;
    transition: background-color 0.1s;
    border: 1px solid transparent;
    margin-bottom: 50px;
  }
  
  .photo .nav-button.active-button {
    background-color: #44812c;
    border: 1px solid #fff;
  }
  
  .photo .nav-button:hover {
    background-color: #404040;
    border: 1px solid white;
  }
  
  .photo .slider {
    width: 100%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
  }
  
  .photo .slides {
    width: 100%;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .photo .slides img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    display: none;
    cursor: pointer;
  }
  
  .slides img.active {
    display: block;
  }
  
  .photo .slides img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    display: none;
  }
  
  .photo .slides img.active,
  .photo #slides-1 img {
    display: block;
  }
  
  #slides-0 {
    position: relative;
    overflow: hidden;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  #slides-0 img {
    opacity: 0;
    transform: scale(0.8);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  
  #slides-0 img.active {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
    z-index: 2;
  }
  
  #slides-0 img.left {
    opacity: 0.8;
    transform: translate(-150%, -50%) scale(0.8);
    z-index: 1;
  }
  
  #slides-0 img.right {
    opacity: 0.8;
    transform: translate(50%, -50%) scale(0.8);
    z-index: 1;
  }
  
  .photo button.prev,
  .photo button.next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    z-index: 3;
  }
    .photo button.prev:hover,
    .photo button.next:hover {
      transition: 0.2s ease-in-out;
      background-color:#272727;
    }
  
  button.prev {
    left: 20px;
  }
  
  button.next {
    right: 20px;
  }
  
  .image-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(30, 30, 30, 0.3);
    backdrop-filter: blur(15px);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 3;
  }
  
  .image-overlay img {
    max-width: 80%;
    max-height: 80%;
    border: 2px solid white;
    border-radius: 0%;
  }
  
  .image-overlay.active {
    display: flex;
  }
  
  .logos1, .logos2 {
    margin-top: 0px;
    display: inline-block;
    width: 99%;
    white-space: nowrap;
    overflow-x: hidden;
    border-top: solid 1px white;
    border-bottom: solid 1px white;
    background-color: #1e1e1e;
    position: absolute;
    z-index: 1;
  }
  
  .logos1:hover .container, .logos2:hover .container {
    animation-play-state: paused;
  }
  
  .logos1 {
    top: 0;
    transform: rotate(6deg);
  }
  
  .logos2 {
    top: 0;
    transform: rotate(-3deg) rotate(180deg);
  }
  
  .logos1 .container, .logos2 .container {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    animation: slide-left 30s linear infinite;
  }
  
  .logos2 .container img {
    transform: rotate(180deg);
  }
  
  .logos1 .container img, .logos2 .container img {
    padding: 10px;
    margin: 0 50px;
    height: 50px;
    width: auto;
  }
  
  .circle {
    width: 5px;
    height: 5px;
    background-color: rgb(255, 255, 255);
    border-radius: 50%;
    margin: 5px;
  }
  
  @keyframes slide-left {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(-50%);
    }
  }
    /*--------------------*/ /*--------------------*/ /*--------------------*/ 
  .education {
    flex-direction: column;
    justify-content: center;
    position: relative;
    background-color: #272727;
    padding: 20px 20px;
    display: flex;
    width: 100%;
    margin-bottom: 100px;
  }
  
  .section-title {
    color: #9edbfb;
    text-align: center;
    margin-bottom: 40px;
    font-size: 17px;
  }
  
  .timeline {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
  }
  
  .timeline-item {
    background-color: #404040;
    border-radius: 8px;
    padding: 20px;
    margin-bottom: 30px;
    max-width: 1600px;
    width: 80%;
    position: relative;
    box-shadow: 4px 4px 6px rgba(0, 0, 0, 0.3);
  }
  
  .timeline-item::before {
    content: '';
    position: absolute;
    width: 2px;
    background-color: #9edbfb;
    top: 0;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: -1;
  }
  
  .timeline-item:first-child::before {
    top: 50%;
  }
  
  .timeline-item:last-child::before {
    bottom: 50%;
  }
  
  .timeline-content {
    text-align: center;
    padding: 20px;
  }
  
  .timeline-content h3 {
    color: #ffffff;
    margin-bottom: 10px;
    font-size: 20px;
  }
  
  .timeline-content p {
    color: #b4ceaa;
    font-size: 16px;
    margin-bottom: 10px;
  }
  
  .timeline-date {
    display: block;
    color: #9edbfb;
    font-size: 14px;
    margin-top: 5px;
  }
  /*--------------------*/ /*--------------------*/ /*--------------------*/ 
  .contact {
    padding: 0px 20px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
  }
  
  .contact-form {
    width: 90%;
    margin: auto;
    background-color: #404040;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 4px 4px 6px rgba(0, 0, 0, 0.3);
    margin-bottom: 40px;
    max-width: 1200px;
  }
  
  .form-group {
    text-align: left;
    margin-bottom: 20px;
  }
  
  .form-group label {
    display: block;
    margin-bottom: 5px;
    color: #b4ceaa;
    font-size: 16px;
  }
  
  .form-group input, .form-group textarea {
    font-family: "Cascadia Code";
    width: 100%;
    padding: 10px;
    border: 2px solid transparent;
    border-radius: 5px;
    background-color: #303030;
    color: #fff;
    font-size: 14px;
    resize: none;
    transition: border 0.2s ease-in-out;
  }
  
  .form-group input:focus, .form-group textarea:focus {
    border: 2px solid white;
    outline: none;
  }  
  
  .form-group input::placeholder, .form-group textarea::placeholder {
    color: #9e9e9e;
  }
  
  .submit-btn {
    font-family: "Cascadia Code";
    background-color: #1f2025;
    color: #fff;
    border: 2px solid white;
    padding: 8px 16px;
    cursor: pointer;
    font-size: 14px;
    transition: 0.2s;
  }
  
  .submit-btn:hover {
    color: #9edbfb;
    transform: translate(-0.25rem, -0.25rem);
    box-shadow: 0.25rem 0.25rem white;
  }
  
  .submit-btn:active {
    transform: translateY(1px);
    box-shadow: none;
  }
  .footer {
    width: 100%;
    background-color: #2b2b2b;
    color: #b4ceaa;
    text-align: center;
    padding: 20px 0;
    font-size: 14px;
    border-top: 2px solid #606064;
    bottom: 0px;
  }
    /*--------------------*/ /*--------------------*/ /*--------------------*/ 